Bug 10875 - addorderiso2709: the link "show all funds" is missing.
Summary: addorderiso2709: the link "show all funds" is missing.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
: 10302 (view as bug list)
Depends on: 7180
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 08:01 UTC by Jonathan Druart
Modified: 2014-12-07 20:07 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10875: Add order from a staged file should not display inactive funds (7.21 KB, patch)
2013-09-11 08:03 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10875: Add order from a staged file should not display inactive funds (7.21 KB, patch)
2013-09-30 07:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10875: Add order from a staged file should not display inactive funds (7.19 KB, patch)
2014-04-22 15:47 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 10875: Add order from a staged file should not display inactive funds (7.24 KB, patch)
2014-04-24 07:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10875: Add order from a staged file should not display inactive funds (7.35 KB, patch)
2014-04-24 13:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10875: Preselect the fund located in the record (5.21 KB, patch)
2014-04-25 09:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 10875: Add order from a staged file should not display inactive funds (7.69 KB, patch)
2014-04-26 13:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 10875: Preselect the fund located in the record (5.28 KB, patch)
2014-04-26 13:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2013-09-11 08:01:06 UTC
When adding an order from a staged file, there is no link "show all funds". All funds are displayed by default. We want to hide inactive funds.
Comment 1 Jonathan Druart 2013-09-11 08:03:27 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-09-12 17:22:28 UTC
Applying: Bug 10875: Add order from a staged file should not display inactive funds
fatal: sha1 information is lacking or useless (acqui/addorderiso2709.pl).
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Comment 3 Jonathan Druart 2013-09-13 07:38:58 UTC
Owen, This patch depends on bug 7180, I suspect you forgot the dependency :)
Comment 4 I'm just a bot 2013-09-18 11:05:27 UTC
Applying: Bug 10875: Add order from a staged file should not display inactive funds
Repository lacks necessary blobs to fall back on 3-way merge.
Cannot fall back to three-way merge.
Patch failed at 0001 Bug 10875: Add order from a staged file should not display inactive funds
The copy of the patch that failed is found in:
   /home/christopher/git/koha/.git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
Comment 5 Jonathan Druart 2013-09-18 12:04:08 UTC
(In reply to I'm just a bot from comment #4)
Depend on 7180.
Comment 6 I'm just a bot 2013-09-29 06:04:37 UTC
Applying: Bug 10875: Add order from a staged file should not display inactive funds
Using index info to reconstruct a base tree...
M	acqui/addorderiso2709.pl
M	koha-tmpl/intranet-tmpl/prog/en/modules/acqui/addorderiso2709.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/acqui/addorderiso2709.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/acqui/addorderiso2709.tt
Auto-merging acqui/addorderiso2709.pl
Patch failed at 0001 Bug 10875: Add order from a staged file should not display inactive funds
The copy of the patch that failed is found in:
   /home/christopher/git/koha/.git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
Comment 7 Jonathan Druart 2013-09-30 07:52:36 UTC Comment hidden (obsolete)
Comment 8 I'm just a bot 2013-10-27 06:34:20 UTC
Applying: Bug 7180: Add UT for C4::Budgets::GetBudgetByCode
Using index info to reconstruct a base tree...
M	t/db_dependent/Budgets.t
Falling back to patching base and 3-way merge...
Auto-merging t/db_dependent/Budgets.t
CONFLICT (content): Merge conflict in t/db_dependent/Budgets.t
Patch failed at 0001 Bug 7180: Add UT for C4::Budgets::GetBudgetByCode
The copy of the patch that failed is found in:
   /home/christopher/git/koha/.git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
Comment 9 I'm just a bot 2013-10-27 06:34:34 UTC
This bug depends on bug7180 which is in status Needs Signoff but the patches for it do not apply cleanly
Comment 10 Jonathan Druart 2014-03-05 09:11:33 UTC
This patch applies cleanly on top of bug 7180.
Comment 11 Katrin Fischer 2014-04-20 15:53:58 UTC
Tried applying it on top of my current branch for 7180, but it wouldn't apply. Please rebase!
Comment 12 Katrin Fischer 2014-04-20 16:45:19 UTC
*** Bug 10302 has been marked as a duplicate of this bug. ***
Comment 13 Jonathan Druart 2014-04-22 15:47:49 UTC Comment hidden (obsolete)
Comment 14 Jonathan Druart 2014-04-24 07:31:00 UTC Comment hidden (obsolete)
Comment 15 Owen Leonard 2014-04-24 13:11:53 UTC Comment hidden (obsolete)
Comment 16 Katrin Fischer 2014-04-25 05:35:38 UTC
Hi Jonathan,

testing this now, I think I see a small problem: 

I have one staged file from testing MarcFieldsToOrder, where I have set the fund in my mapping. This works nicely without 10875 and the correct fund is 
preselected on opening the page. 

But with this patch it seems not ok - at first it only seemed to reset the fund when I clicked the checkbox on top/next to the funds list, but now it seems always only 'select a fund' shows. 

I think it would be ok for the Accounting details tab, as people notice there what happens, but for the records list it seems to happen for all orders, even those you already selected a fund for.
Comment 17 Jonathan Druart 2014-04-25 09:35:09 UTC Comment hidden (obsolete)
Comment 18 Jonathan Druart 2014-04-25 09:36:02 UTC
Katrin, I think this followup will fix your issue.
I switched the status back to Signed Off, feel free to ask for a signoff if you think it is needed.
Comment 19 Katrin Fischer 2014-04-26 13:31:16 UTC
I think this is more of a bug fix then an enhancement as it makes the funds list for staged orders behave like the funds list on neworderempty.
Comment 20 Katrin Fischer 2014-04-26 13:35:46 UTC
Created attachment 27655 [details] [review]
[PASSED QA] Bug 10875: Add order from a staged file should not display inactive funds

When adding an order from a staged file, a link
"show all funds" is now added on the top of the
page. All inactive funds are hidden by default.

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Passes all tests and QA script.
Works as described.
- Loading the page, a fund needs to be selected. Before
  the patch the first fund was preselected.
- Checking the checkbox, inactive funds show up, but
  are not visible otherwise.
- If the fund is selected from the MARC file, the
  correct fund will be selected, even if it's inactive.
Comment 21 Katrin Fischer 2014-04-26 13:35:57 UTC
Created attachment 27656 [details] [review]
[PASSED QA] Bug 10875: Preselect the fund located in the record

It is useless to copy the fund list in a new node. It seems easier to
hide/show inactive/active funds.

This patch also adds a "(inactive)" marker in the fund list for
inactive funds. If the fund located in the record is inactive, it is
displayed by default and cannot be hidden.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 22 Galen Charlton 2014-05-04 21:58:27 UTC
Pushed to master.  Thanks, Jonathan!